#
# spec file for package python3-MiniMock
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-MiniMock
Version:        1.2.8
Release:        12.1
Url:            http://pypi.python.org/pypi/MiniMock
Summary:        The simplest possible mock library
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/M/MiniMock/MiniMock-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
Minimock is a simple library for doing Mock objects with doctest.
When using doctest, mock objects can be very simple.

%prep
%setup -q -n MiniMock-%{version}
2to3 -w -n .

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/license.txt
%{python3_sitelib}/*

%changelog
* Sun Jan 11 2015 arun@gmx.de
- specfile:
  * update copyright year
  * removes ifs for opensuse version <=1220
* Thu Aug 15 2013 speilicke@suse.com
- Buildrequire python3-2to3 on 12.2
- Buildrequire python3 on 12.2, we need sha512 module
* Fri May  3 2013 speilicke@suse.com
- Provides/obsoletes for python3-minimock is useless, that package
  never existed
- Removing __pycache__ is actually wrong
- "-rm docs/.changelog.rst.un~ # Remove junk" was bogus
- No need to buildrequire python3, usually you only need that when
  requiring the _ssl module (as Jan if in doubt)
- No need to buildrequire python3-2to3, it's in python3-devel nowadays
* Mon Apr 29 2013 dmueller@suse.com
- Update to 1.2.8:
  * add python 3.x support
* Fri Nov 30 2012 toddrme2178@gmail.com
- Fix building on openSUSE 12.1 and 12.2
* Thu Nov 22 2012 toddrme2178@gmail.com
- Remove openSUSE 11.4 spec file workarounds
* Thu Sep  6 2012 toddrme2178@gmail.com
- Restore BuildRequires: python3  This package depends on hash
  algorithms that are only available if python3 is installed,
  python3-devel will not pull them in.  Building will fail if
  BuildRequires: python3 is removed.
* Sun May 27 2012 highwaystar.ru@gmail.com
- python3 package added
